nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::IActionResponse0 Class Referenceabstract

`#include <i_action_response.h>`

Inheritance diagram for nx::sdk::IActionResponse0:

## Public Member Functions
virtual const char * | actionUrl () const =0
virtual const char * | messageToUser () const =0
Public Member Functions inherited from nx::sdk::Interface< IActionResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IActionResponse0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Defines how the Client must interact with the user after the plugin executes some action triggered by the user.

## Member Function Documentation

## ◆ actionUrl()

virtual const char* nx::sdk::IActionResponse0::actionUrl | ( |  | ) | const
| pure virtual

Returns
  URL to be opened by the Client in an embedded browser, or a null or empty string. If non-empty, messageToUser() must return a null or empty string.

Implemented in nx::sdk::ActionResponse.

## ◆ messageToUser()

virtual const char* nx::sdk::IActionResponse0::messageToUser | ( |  | ) | const
| pure virtual

Returns
  Text to be shown to the user by the Client, or a null or empty string. If non-empty, actionUrl() must return a null or empty string.

Implemented in nx::sdk::ActionResponse.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_action_response.h